<?php

class Class_gestionFiche
{
    private $pdo = null;

    public function __construct(PdoGsb $pDO)
    {
        $this->pdo = $pDO->getPdoGsb();
    }

    public function getLesUtilisateurs(): array
    {
        $req = 'SELECT "uId", "uNom", "uPrenom" FROM utilisateur WHERE "uStatut"!=0 ORDER BY "uNom" ASC;';
        $result = $this->pdo->prepare($req);
        $result ->execute();

        return $result->fetchAll();
    }

}